Skip to main content
GET
/
v1
/
variants
List
curl --request GET \
  --url https://{defaultHost}/v1/variants \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/variants"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/variants"
  },
  "data": [
    {
      "id": "778d121e-fcf8-479c-8e2b-1c28fb27074d",
      "object": "variant",
      "amount": null,
      "available_stock": 0,
      "allow_out_of_stock_purchases": null,
      "auto_fulfill_enabled": null,
      "currency": "usd",
      "current_version": true,
      "dimensions": null,
      "downloads_enabled": true,
      "held_stock": 0,
      "license_activation_limit": null,
      "metadata": {},
      "option_1": "Blue",
      "option_2": null,
      "option_3": null,
      "option_names": [
        "Color"
      ],
      "position": 0,
      "purchase_limit": null,
      "shipping_enabled": null,
      "sku": null,
      "stock": 0,
      "stock_enabled": null,
      "tax_category": null,
      "tax_enabled": null,
      "weight_unit": null,
      "weight": null,
      "current_release_download": null,
      "image": null,
      "product": "8e8118f4-ac84-43d5-acbc-5d416cb58e01",
      "created_at": 1782485917,
      "updated_at": 1782485917
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

product_ids[]
string[]

Only return objects that belong to the given products.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.